
<mat-card>
    <mat-card-title class="text-center" >Charts</mat-card-title>
    <mat-card-content>
        <div class="container tky-full-width text-center">
            <h1>Análisis Estádistico <small>Luis F. Garcia</small></h1>
            <hr>
          
            <div class="row">
                <div class="col-md-12 tky-full-width">
                  <div style="display: block;">
                  <canvas baseChart width="400" height="400"
                              [datasets]="lineChartData"
                              [labels]="lineChartLabels"
                              [options]="lineChartOptions"
                              [colors]="lineChartColors"
                              [legend]="lineChartLegend"
                              [chartType]="lineChartType"
                              (chartHover)="chartHovered($event)"
                              (chartClick)="chartClicked($event)"></canvas>
                  </div>
                </div>
                <div class="col-md-12 tky-full-width" >
                  <table class="table table-responsive table-condensed tky-full-width">
                    <tr>
                      <th *ngFor="let label of lineChartLabels">{{label}}</th>
                    </tr>
                    <tr *ngFor="let d of lineChartData">
                      <td *ngFor="let label of lineChartLabels; let j=index">{{d && d.data[j]}}</td>
                    </tr>
                  </table>
                  <button mat-raised-button (click)="randomize()">CLICK</button>
                </div>
              </div>
          
          
              <div class="row tky-full-width"></div>
          
          </div>
          
    </mat-card-content>
  </mat-card>
